Subject: Re: bug#36879: 26.2; OSC 52 paste in term/xterm.el not working

From: Mattias Engdegård <[email-masked]>
Date: Thu, 15 Aug 2019 23:28:13 +0200

15 aug. 2019 kl. 21.32 skrev Philipp Stephani <[email-masked]>:
> 
> I added OSC-52 support primarily to support HTerm/Chrome Secure Shell.
> HTerm supports copying via OSC-52, but not pasting due to the
> aforementioned security issues, cf.
> https://chromium.googlesource.com/apps/libapps/+/master/nassh/doc/FAQ.md#Is-OSC-52-aka-clipboard-operations_supported.
> I don't use HTerm that much any more, but OSC-52 support for copying
> was definitely quite useful. Copying is not a security issue (at least
> for the SSH use case) as the clipboard is always ephemeral anyway.

Thank you! It confirms that the paste code was never used much if at all.
The limitations of the chosen patch is then probably nothing to worry about.